MEINPROC4(8)

NAME
meinproc4 - Traductor KDE per a XML

SINOPSIS

meinproc4 [--help] [Opcions-genèriques] [Opcions-de-Qt] [Opcions-de-KDE] [--cache fitxer] [--check] [--htdig] [--srcdir] [--param clau=valor] [[[-o] | [--output]] fitxer] [--stdout] [--stylesheet xsl] fitxer_docbook

DESCRIPCIó

meinproc4 converteix fitxers DocBook a HTML.

OPCIONS GENèRIQUES

--author
    Mostra informació de l'autor.

--help
    Mostra ajuda quant a les opcions.

--help-all
    Mostra totes les opcions.

--help-kde
    Mostra les opcions específiques de KDE.

--help-qt
    Mostra les opcions específiques de Qt.

--license
    Mostra informació de llicència.

-v--version
    Mostra informació de la versió

OPCIONS DAPLICACIó

--cache fitxer
    Crea un fitxer de cau per al document

--check
    Comprova la validesa del document

        La sortida pot ser una mica intimidatòria, ja que una petita equivocació pot causar una cascada d'errors.
        El truc és mirar en el primer error, corregir-lo, deseu el fitxer, i executeu meinproc4 de nou.

--htdig
    Crea un índex compatible amb ht://dig

-o, --output fitxer
    Envia tot el document cap a un fitxer.

--stdout
    Envia tot el document cap a stdout.

--stylesheet xsl
    Full d'estil a usar

--srcdir dir
    Estableix el directori arrel per a la cerca de kdelibs

--param clau=valor
    Estableix els paràmetres a passar a la fulla d'estil.

ÚS

La manera més habitual d'executar meinproc4 és simplement com

    meinproc4 fitxer-docbook

a on fitxer-docbook generalment serà index.docbook. Aquesta ordre crea pàgines HTML del fitxer DocBook. Tingueu en compte que aquestes pàgines només són visibles en els navegadors basats en KDE (com Konqueror).

Si necessiteu veure la sortida HTML en un altre navegador (per exemple, si el feu disponible en línia), utilitzeu

    meinproc4 --stylesheet nom-full-estil fitxer-docbook

a on nom-full-estil serà el camí complet cap a un dels fulls d'estil XSL en $KDEDIR/share/apps/ksgmltools/customization. Per a generar una sortida adequada per a la web, podeu usar kde-web.xsl o kde-chunk-online.xsl. Veure el fitxer README en aquest directori per a més detalls.

VEURE TAMBé

kdeoptions(7), qtoptions(7)

ERRORS

Probablement hi ha un munt d'errors. Useu bugs.kde.org[1] per a informar-ne.

NOTES

1.  bugs.kde.org
    http://bugs.kde.org